petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESFASCreateCoarseVec

create Vec corresponding to a state vector on one level coarser than current level

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCreateCoarseVec(SNES snes,Vec *Xcoarse)

Collective Many br

### Input Arguments

snes -SNESFAS Many br

### Output Arguments

Xcoarse -vector on level one coarser than snes Many br

Many br

### See Also

SNESFASSetRestriction(), SNESFASRestrict()

Level:developer
Location:src/snes/impls/fas/fas.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages